Summary: Cistron RADIUS daemon
Name: radiusd-cistron
Version: 1.5.4.2
Release: 2
Group: Networking/Daemons
Source0: ftp://ftp.cistron.nl/pub/people/miquels/radius/radiusd-cistron-1.5.4.2.tar.gz
Source1: radius.pam
Source2: radiusd.init
Copyright: CISTRON and LIVINGSTON see COPYRIGHT file
BuildRoot: /usr/tmp/radiusd

%changelog
* Tue May 19 1998 Christopher McCrory <chrismcc@netus.com>
- most of the work was done by Miguel A.L. Paraz <map@iphil.net>
- I just re-did the spec file

%description
RADIUS daemon that supports plenty of features, including simultaneous
user limiting and PAM.
Built with PAM support.

%prep
%setup

%build
( cd src; make PAM=-DPAM PAMLIB="-lpam -ldl" CFLAGS="-Wall ${RPM_OPT_FLAGS}" )

%install
rm -rf $RPM_BUILD_ROOT
mkdir  $RPM_BUILD_ROOT/{,etc/{,raddb,pam.d,rc.d/{,init.d,rc{0,1,2,3,4,5,6}.d}},usr/{,bin,sbin,man/{,man{1,5,8}}},var/{,log/{,radacct}}}

(cd src
make install BINDIR=${RPM_BUILD_ROOT}/usr/bin SBINDIR=${RPM_BUILD_ROOT}/usr/sbin )

(cd raddb; install -m 640 * ${RPM_BUILD_ROOT}/etc/raddb )

install -m 444 ${RPM_SOURCE_DIR}/radius.pam ${RPM_BUILD_ROOT}/etc/pam.d/radius
install -m 555 ${RPM_SOURCE_DIR}/radiusd.init ${RPM_BUILD_ROOT}/etc/rc.d/init.d

# most of these man pages are broken but maybe they will be fixed?
(cd doc 
for i in 1 8
do
install -m 444 *.$i ${RPM_BUILD_ROOT}/usr/man/man$i
done

install -m 444 clients.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
install -m 444 naslist.5rad ${RPM_BUILD_ROOT}/usr/man/man5/
)

for i in 3 4 5
do
ln -sf ../init.d/radiusd.init ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/S88radiusd.init
done

for i in 0 1 2 6
do
ln -sf ../init.d/radiusd.init ${RPM_BUILD_ROOT}/etc/rc.d/rc$i.d/K08radiusd.init
done

for i in radutmp radwtmp radius.log
do
touch ${RPM_BUILD_ROOT}/var/log/$i
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc doc/COPYRIGHT doc/ChangeLog doc/INSTALL.OLD doc/README doc/README.pam doc/README.simul
/usr/bin/*
/usr/sbin/*
/usr/man/man1/*
/usr/man/man5/*
/usr/man/man8/*
/var/log/radutmp
/var/log/radwtmp
/var/log/radius.log
%dir /var/log/radacct/

%config /etc/raddb/*
%config /etc/pam.d/radius
%config /etc/rc.d/init.d/radiusd.init
%config(missingok) /etc/rc.d/rc0.d/K08radiusd.init
%config(missingok) /etc/rc.d/rc1.d/K08radiusd.init
%config(missingok) /etc/rc.d/rc2.d/K08radiusd.init
%config(missingok) /etc/rc.d/rc3.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc4.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc5.d/S88radiusd.init
%config(missingok) /etc/rc.d/rc6.d/K08radiusd.init
